
<form [formGroup]="form" (ngSubmit)="save()">
  <mat-form-field class="full-width">
    <input type="text" formControlName="name" 
    matInput placeholder="Name">
    <mat-error *ngIf="form.get('name').invalid">
      The name is required and must be 2 characters at least.
    </mat-error>
  </mat-form-field>
  <mat-form-field class="full-width">
    <input type="text" formControlName="surname" 
    matInput placeholder="Surname">
    <mat-error *ngIf="form.get('surname').invalid">
      The surname is required and must be 2 characters at least.
    </mat-error>
  </mat-form-field>
  <mat-form-field class="full-width">
    <input matInput formControlName="birthdate" [matDatepicker]="picker" placeholder="Birthdate">
    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
    <mat-datepicker #picker></mat-datepicker>
    <mat-error *ngIf="form.get('birthdate').invalid">
      The date is required.
    </mat-error>
  </mat-form-field>
  <button mat-raised-button color="primary" [disabled]="!form.valid">Save</button>
</form>

<p *ngIf="feedback">{{feedback}}</p>